Looking for the latest version? Download gtk+-1.2.10-20.tar.bz2 (845.8 kB)
Home / Development Tools / glimmer-1.0.1
Name Modified Size Downloads / Week Status
Parent folder
glimmer-1.0.1-1.tar.bz2 2003-02-20 235.5 kB 0
glimmer-1.0.1.README 2003-02-20 3.1 kB 0
Totals: 2 Items   238.6 kB
NAME: glimmer VERSION: 1.0.1 RELEASE: 1 SUMMARY: Extensible Code Editor DISTRIBUTION: Cygwin GNOME 1.4 <http://cygnome.sourceforge.net> VENDOR: LICENSE: GPL PACKAGER: Hansom Young <glyoung@uses.sourceforge.net> GROUP: Applications/Editors OS: Cygwin ARCH: i586 SOURCE RPM: glimmer-1.0.1-1.src.rpm from RedHat 7.2 REQUIRES: python-2.2 glib-1.2 gtk-1.2 gnome-libs-1.4.2 DESCRIPTION: Glimmer is the code editor formerly know as CodeCommander. It is a full featured code editor with many advanced features, including full scripting integration with either Python. ----- setup.hint --------------------- @ glimmer category: GNOME-devel sdesc: "GNOME based extensible Code Editor" ldesc: "Glimmer is the code editor formerly know as CodeCommander. . It is a full featured code editor with many advanced features, including full scripting integration with either Python." requires: python glib gtk gnome-libs curr: 1.0.1-1 -------------------------------------- Note about this Cygwin port: --------------------------- Built on cygwin 1.3.18, with gcc-3.2, binutils-20021107, and python-2.2.2, glib-1.2.10, gtk-1.2.10, gnome-libs-1.4.2. PyGTK support is not available, hence you can't add your own widgets dynamicly with Python script. Build glimmer-1.0.1 for Cygwin GNOME: ----------------------------------------- Glimmer's homepage: http://glimmer.sourceforge.net. You can find the source package there. When glimmer being started porting to Cygwin, the latest version of glimmer is 1.2.1. But PyGTK is obligatory in 1.2.1, if you want to enable Python support. I have to fall back on 1.0.1. You can build the latest version without python support, or wait until we have Cygwin port of PyGTK, :-(. 1. Make sure you have Python installed. If not, go to http://cygwin.com, click setup.exe icon and choose to install python. You can also download python from any cygwin mirror site. 2. You also need some GNOME package: glib, gtk+, gnome-libs. The source package of glib, ORBit, libxml and gnome-libs could be found on ftp://ftp.gnome.org/pub/GNOME/stable/sources. Patches for Cygwin port of GNOME libraries is contributed and maintained by Steven O'Brian, at http://homepage.ntlworld.com/steven.obrien2/. A collection of binary package of GNOME libraries prebuilt for Cygwin could be found on the Cygwin GNOME project (http://www.sourceforge.net/projects/cygnome). 3. Start building: - Unpack the source tarball of glimmer-1.0.1 - Configure: $ CFLAGS=-O2 ./configure --prefix=/opt/gnome - modify src/build.c, see the patch below - $ make - $ make install --- src/build.c.orig 2000-09-05 11:05:28.000000000 +0800 +++ src/build.c 2003-02-17 10:25:46.000000000 +0800 @@ -8,7 +8,11 @@ #include <sys/wait.h> #else #include <sched.h> +# ifdef __CYGWIN__ +# include <sys/wait.h> +# else #include <wait.h> +# endif #endif #include <errno.h>
Source: glimmer-1.0.1.README, updated 2003-02-20

Thanks for helping keep SourceForge clean.

Screenshot instructions:
Windows
Mac
Red Hat Linux   Ubuntu

Click URL instructions:
Right-click on ad, choose "Copy Link", then paste here →
(This may not be possible with some types of ads)

More information about our ad policies
X

Briefly describe the problem (required):

Upload screenshot of ad (required):
Select a file, or drag & drop file here.

Please provide the ad click URL, if possible:

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks